"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("./utils");

var preset = {
  linker: "و",
  baseUnitFormatter: function baseUnitFormatter(amount) {
    return format(amount, "دنانير", "دينار");
  },
  smallUnitFormatter: function smallUnitFormatter(amount) {
    return format(amount, "مليمات", "مليم");
  }
};

function format(amount, c1, c2) {
  var lastTwoDigits = (0, _utils.getLastTwoDigits)(amount);

  if (["10", "09", "08", "07", "06", "05", "04", "03"].indexOf(lastTwoDigits) !== -1) {
    return c1;
  }

  return c2;
}

var _default = preset;
exports.default = _default;